Package com.enonic.xp.region

## Class ImageComponent

- java.lang.Object
- - com.enonic.xp.region.Component
  - - com.enonic.xp.region.ImageComponent

-     @PublicApi
      public class ImageComponent
      extends Component

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ImageComponent.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageComponent​(ImageComponent.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageComponent` | `copy()` |
    `static ImageComponent.Builder` | `create()` |
    `static ImageComponent.Builder` | `create​(ImageComponent source)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getCaption()` |
    `PropertyTree` | `getConfig()` |
    `ContentId` | `getImage()` |
    `ComponentName` | `getName()` | Deprecated.
    `ComponentType` | `getType()` |
    `boolean` | `hasCaption()` |
    `boolean` | `hasConfig()` |
    `int` | `hashCode()` |
    `boolean` | `hasImage()` |

    - ### Methods inherited from class com.enonic.xp.region.Component

      `getPath, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageComponent

          public ImageComponent​(ImageComponent.Builder builder)

  - ### Method Detail

    - #### create

          public static ImageComponent.Builder create()

    - #### create

          public static ImageComponent.Builder create​(ImageComponent source)

    - #### copy

          public ImageComponent copy()

      Specified by:
        `copy` in class `Component`

    - #### getType

          public ComponentType getType()

      Specified by:
        `getType` in class `Component`

    - #### getName

          @Deprecated
          public ComponentName getName()

      Deprecated.
      Overrides:
        `getName` in class `Component`

    - #### getImage

          public ContentId getImage()

    - #### hasImage

          public boolean hasImage()

    - #### hasConfig

          public boolean hasConfig()

    - #### getConfig

          public PropertyTree getConfig()

    - #### hasCaption

          public boolean hasCaption()

    - #### getCaption

          public String getCaption()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Component`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Component`